Bug 215185 - [kbdmap] [patch] UK kbdmap for MacBook
Summary: [kbdmap] [patch] UK kbdmap for MacBook
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: CURRENT
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
: 215180 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-12-09 23:51 UTC by James Wright
Modified: 2019-01-21 19:24 UTC (History)
3 users (show)

See Also:


Attachments
Add uk.macbook.kbd and update INDEX.keymaps (8.32 KB, patch)
2016-12-09 23:51 UTC, James Wright
no flags Details | Diff
Patch for adding "uk.macbook.kbd" vt keymap (8.65 KB, patch)
2018-10-27 23:26 UTC, James Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Wright 2016-12-09 23:51:11 UTC
Created attachment 177837 [details]
Add uk.macbook.kbd and update INDEX.keymaps

Patch to add support for UK MacBook keyboards. Note that some of the symbols (such as the pound and euro) will still only display correctly when you are using a UTF-8 charset.

Keymap was tested on a UK Macbook Air using "kbdmap" to load the new mapping.
Comment 1 James Wright 2016-12-09 23:51:41 UTC
*** Bug 215180 has been marked as a duplicate of this bug. ***
Comment 2 James Wright 2018-10-27 23:26:56 UTC
Created attachment 198700 [details]
Patch for adding "uk.macbook.kbd" vt keymap
Comment 3 James Wright 2018-10-27 23:31:41 UTC
Updated patch against CURRENT and added a missing line to the keymaps/Makefile
Comment 4 commit-hook freebsd_committer 2018-12-11 02:15:41 UTC
A commit references this bug:

Author: dab
Date: Tue Dec 11 02:14:41 UTC 2018
New revision: 341806
URL: https://svnweb.freebsd.org/changeset/base/341806

Log:
  Add uk.macbook.kbd keymap (vt)

  PR:		215185
  Submitted by:	James Wright <james.wright@jigsawdezign.com>
  Reported by:	James Wright <james.wright@jigsawdezign.com>
  Reviewed by:	emaste (earlier version)
  MFC after:	1 week
  Sponsored by:	Dell EMC Isilon
  Differential Revision:	https://reviews.freebsd.org/D18395

Changes:
  head/share/vt/keymaps/INDEX.keymaps
  head/share/vt/keymaps/Makefile
  head/share/vt/keymaps/uk.macbook.kbd
Comment 5 commit-hook freebsd_committer 2018-12-19 22:46:10 UTC
A commit references this bug:

Author: dab
Date: Wed Dec 19 22:46:04 UTC 2018
New revision: 342252
URL: https://svnweb.freebsd.org/changeset/base/342252

Log:
  MFC r341806:

  Add uk.macbook.kbd keymap (vt)

  PR:		215185
  Submitted by:	James Wright <james.wright@jigsawdezign.com>
  Reported by:	James Wright <james.wright@jigsawdezign.com>

Changes:
_U  stable/12/
  stable/12/share/vt/keymaps/INDEX.keymaps
  stable/12/share/vt/keymaps/Makefile
  stable/12/share/vt/keymaps/uk.macbook.kbd
Comment 6 commit-hook freebsd_committer 2018-12-19 22:49:15 UTC
A commit references this bug:

Author: dab
Date: Wed Dec 19 22:48:28 UTC 2018
New revision: 342254
URL: https://svnweb.freebsd.org/changeset/base/342254

Log:
  MFC r341806:

  Add uk.macbook.kbd keymap (vt)

  PR:		215185
  Submitted by:	James Wright <james.wright@jigsawdezign.com>
  Reported by:	James Wright <james.wright@jigsawdezign.com>

Changes:
_U  stable/11/
  stable/11/share/vt/keymaps/INDEX.keymaps
  stable/11/share/vt/keymaps/Makefile
  stable/11/share/vt/keymaps/uk.macbook.kbd
Comment 7 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 19:24:27 UTC
There is a commit referencing this PR, but it's still not closed and has been inactive for some time. Closing the PR as fixed but feel free to re-open it if the issue hasn't been completely resolved.

Thanks